数据配置列表¶
POST 更新自定义数据集合¶
POST /prod-api/waf/wafv3/dataList/modifyCustomDataList
Body 请求参数
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | ModifyCustomDataListVO | 是 | ModifyCustomDataListVO | - |
返回示例
200 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » additionalProperties | object | false | - | - |
数据模型¶
ModifyCustomDataListVO
{
"data": "string",
"dataListClass": "string",
"dataListId": 0,
"listName": "string",
"message": "string"
}
ModifyCustomDataListVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| data | string | true | - | 内容 | - |
| dataListClass | string | true | - | 类型 | - |
| dataListId | integer(int64) | false | - | id | 创建时,可选,编辑时必填 |
| listName | string | true | - | 组名称 | - |
| message | string | false | - | 备注 | - |